View Issue Details

This bug affects 2 person(s).
 14
IDProjectCategoryView StatusLast Update
17719Bug reportsSurvey editingpublic2021-12-01 09:28
Reportervitautss Assigned Toollehar  
PriorityimmediateSeveritypartial_block 
Status closedResolutionfixed 
Product Version5.2.x 
Summary17719: Question list not updated when adding/changing questions
DescriptionPretty sure this is new in 5.2, worked in 5.1.5.
Steps To ReproduceSteps to reproduce
------------------------------
Create survey.
Create initial question group (or autocreated).
Problem #1 - qestion group not shown in left menu. Switch to Settings and then back to Structure.
Click on group name.
Add new question (no matter which button).
Save question.

Expected result
-------------------------
Question count in left menu updated and question shown in list.

Actual result
-----------------
Question count stays the same (0 for first question), question doesn't appear in list.
Reloading page doesn't help, still no update. Only solution is to switch to Settings and then back to Structure.

TagsNo tags attached.
Bug heat14
Complete LimeSurvey version number (& build) 5.2.1+211111
I will donate to the project if issue is resolvedNo
BrowserFirefox and Chrome
Database type & versionMySQL 8.0
Server OS (if known)
Webserver software & version (if known)
PHP Version7.4

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

vitautss

vitautss

2021-11-12 12:23

reporter   ~67277

Did additional testing. Installed 5.1.5 - everything works as expected, new questions appear in list.
Manually upgraded to 5.2.1 - everything new from zip, kept config.php, security.php and upload/ folder. Cleared assets cache.
After this new questions (ang groups) doen't appear in list.
DenisChenu

DenisChenu

2021-11-14 12:19

developer   ~67287

Last edited: 2021-11-15 07:52

Confirm the issue with last GIT version too.
ollehar

ollehar

2021-11-14 12:56

administrator   ~67290

Last edited: 2021-11-15 07:52

Whoever fixes this, please add a test too.
DenisChenu

DenisChenu

2021-11-15 09:07

developer   ~67320

@galads : not really interested for this issue (Admin GUI + vuejs), can you check with other dev ?
DenisChenu

DenisChenu

2021-11-15 11:43

developer   ~67325

Peek 15-11-2021 11-43.gif (1,324,014 bytes)
ollehar

ollehar

2021-11-15 12:06

administrator   ~67327

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=32961
c_schmitz

c_schmitz

2021-12-01 09:28

administrator   ~67626

New version released

Related Changesets

LimeSurvey: master c3a5e8a3

2021-11-15 12:05:56

ollehar

Details Diff
Fixed issue 17719: Question list not updated when adding/changing questions Affected Issues
17719
mod - assets/packages/adminsidepanel/build.min/css/adminsidepanel.css Diff File
mod - assets/packages/adminsidepanel/build.min/css/adminsidepanel.rtl.css Diff File
mod - assets/packages/adminsidepanel/build.min/js/adminsidepanel.js Diff File
mod - assets/packages/adminsidepanel/build/js/adminsidepanel.js Diff File
mod - assets/packages/adminsidepanel/src/components/sidebar.vue Diff File

Issue History

Date Modified Username Field Change
2021-11-12 11:32 vitautss New Issue
2021-11-12 12:23 vitautss Note Added: 67277
2021-11-12 12:23 vitautss Bug heat 0 => 2
2021-11-13 18:42 c_schmitz Priority none => immediate
2021-11-13 18:42 c_schmitz Severity minor => partial_block
2021-11-14 12:19 DenisChenu Note Added: 67287
2021-11-14 12:19 DenisChenu Bug heat 2 => 10
2021-11-14 12:56 ollehar Note Added: 67290
2021-11-14 12:56 ollehar Bug heat 10 => 12
2021-11-15 08:37 galads Assigned To => DenisChenu
2021-11-15 08:37 galads Status new => assigned
2021-11-15 09:07 DenisChenu Note Added: 67320
2021-11-15 10:25 galads Assigned To DenisChenu => gabrieljenik
2021-11-15 11:43 DenisChenu Note Added: 67325
2021-11-15 11:43 DenisChenu File Added: Peek 15-11-2021 11-43.gif
2021-11-15 12:06 ollehar Changeset attached => LimeSurvey master c3a5e8a3
2021-11-15 12:06 ollehar Note Added: 67327
2021-11-15 12:06 ollehar Assigned To gabrieljenik => ollehar
2021-11-15 12:06 ollehar Resolution open => fixed
2021-11-15 12:06 ollehar Status assigned => testing
2021-11-17 12:18 ollehar Status testing => resolved
2021-12-01 09:28 c_schmitz Note Added: 67626
2021-12-01 09:28 c_schmitz Bug heat 12 => 14
2021-12-01 09:28 c_schmitz Status resolved => closed